For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.v2.uptime.checks.byCheck_id(check_id).get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | WithCheck_GetResponse>
Description
To show information about an existing check, send a GET request to /v2/uptime/checks/{check_id}.
Parameters
check_id string required
Example: 4de7ac8b-495b-4884-9a69-1050c6793cd6
A unique identifier for a check.
Request Sample
Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
createDigitalOceanClient,
DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";
const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);
const response = await client.v2.uptime.checks
.byCheck_id("4de7ac8b-495b-4884-9a69-1050c6793cd6").get();
Response Example
Show Response Example
{
"check": {
"id": "5a4981aa-9653-4bd1-bef5-d6bff52042e4",
"name": "Landing page check",
"type": "https",
"target": "https://www.landingpage.com",
"regions": [
"us_east",
"eu_west"
],
"enabled": true
}
}
See /v2/uptime/checks/{check_id} in the API reference for additional detail on responses, headers, parameters, and more.